/***************************************************************************
                          kmailcvt.h  -  description
                             -------------------
    begin                : Thu Jun 29 21:37:17 CEST 2000
    copyright            : (C) 2000 by Hans Dijkema
    email                : kmailcvt@hum.org
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KMAILCVT_H
#define KMAILCVT_H

#define KMAILCVT_VERSION "v"VERSION

void procEvents(void);

#include <kapp.h>
#include <qwidget.h>
#include <qpushbutton.h>

#include "filters.hxx"

class Kmailcvt : public QWidget
{
  Q_OBJECT 
  public:
    /** construtor */
    Kmailcvt(QWidget* parent=0, const char *name=0);
    /** destructor */
    ~Kmailcvt();
  private:
     QPushButton *import;
     QPushButton *quit;
     filters     *imports;
     filterInfo  *info;
  private slots:
     void startFilter();
     void Quit();
  private:
     void doFilters(void);
};

#endif
